### Method

# Gtk Stackset_transition_type

#### Declaration [src]

    void
    gtk_stack_set_transition_type (
      GtkStack* stack,
      GtkStackTransitionType transition
    )

#### Description [src]

Sets the type of animation that will be used for transitions between pages in `stack`.

Available types include various kinds of fades and slides.

The transition type can be changed without problems at runtime, so it is possible to change the animation based on the page that is about to become current.

Sets property | `Gtk.Stack:transition-type`

#### Parameters

`transition`

  Type: `GtkStackTransitionType`

  The new transition type.